# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class StorageAccountProperties(Model):
    """Azure Storage account properties information.

    :param access_key: the access key associated with this Azure Storage
     account that will be used to connect to it.
    :type access_key: str
    :param suffix: the optional suffix for the Data Lake account.
    :type suffix: str
    """ 

    _validation = {
        'access_key': {'required': True},
    }

    _attribute_map = {
        'access_key': {'key': 'accessKey', 'type': 'str'},
        'suffix': {'key': 'suffix', 'type': 'str'},
    }

    def __init__(self, access_key, suffix=None):
        self.access_key = access_key
        self.suffix = suffix
